//
//  GBCrashReporter.h
//  gBrowser
//
//  Created by Andreas Schwarz on 10/24/09.
//  Copyright 2009 immaterial. All rights reserved.
//

#import <Cocoa/Cocoa.h>


@class GBCrashReporter;
@interface NSObject (GBCrashReporterDelegate)

- (void)endCrashReporter:(GBCrashReporter *)reporter;

@end



@interface GBCrashReporter : NSWindowController {
	IBOutlet NSTextView *commentsField;
	
	NSArray *logItems;
	NSAttributedString *attributedConsoleInfo;
	NSAttributedString *attributedLogInfo;
	NSDate *lastCheckDate;
	NSColor *consoleFontColor;
	NSColor *crashFontColor;
	NSBundle *bundle;
	BOOL keepChecking;
	BOOL sendAutomatically;
	BOOL submitCrashLogs;
	BOOL submitConsoleLogs;
	NSURLConnection *urlConnection;
	
	id delegate;
}

@property(assign) id delegate;

@property(retain) NSBundle *bundle;
@property(retain) NSArray *logItems;
@property(retain) NSDate *lastCheckDate;
@property(retain) NSAttributedString *attributedConsoleInfo;
@property(retain) NSAttributedString *attributedLogInfo;
@property(assign) BOOL keepChecking;
@property(assign) BOOL submitCrashLogs;
@property(assign) BOOL submitConsoleLogs;
@property(assign) BOOL sendAutomatically;
@property(retain) NSURLConnection *urlConnection;

- (void)doCheck;

- (void)getConsoleInfo;
- (void)getLogInfo;

- (void)submitInfoForLog:(NSString *)log console:(NSString *)console;
- (void)sendCrashReport;

- (BOOL)isSiteReachable;

- (IBAction)cancel:(id)sender;
- (IBAction)sendCrashReport:(id)sender;

@end
